Condividi tramite


Data - Retrieve ObjectData By Class

Recupera i dati degli oggetti per il nome della classe specificato.

POST http://<Servername>/OperationsManager/data/scomObjectsByClass

Corpo della richiesta

Media Types: "application/json", "text/json", "application/xml", "text/xml", "application/x-www-form-urlencoded"

Nome Tipo Descrizione
fullClassName

string

Specificare il nome completo della classe.

Risposte

Nome Tipo Descrizione
200 OK

TableDataResponse

OK. Dati dell'oggetto recuperati correttamente per la classe specificata.

Media Types: "application/json", "text/json", "application/xml", "text/xml"

Esempio

RetrieveObjectDataByClass

Esempio di richiesta

POST http://<Servername>/OperationsManager/data/scomObjectsByClass

[
  "System.Library!System.Computer"
]

Risposta di esempio

{
  "tableColumns": [
    {
      "field": "displayname",
      "header": "Display name",
      "type": null,
      "hidden": false
    },
    {
      "field": "path",
      "header": "Path",
      "type": null,
      "hidden": false
    },
    {
      "field": "id",
      "header": "ID",
      "type": null,
      "hidden": true
    },
    {
      "field": "fullname",
      "header": "Full name",
      "type": null,
      "hidden": false
    }
  ],
  "rows": [
    {
      "displayname": "LlhmpKkOvfnZ2tR7VF1yIcgo02c1S7q9FPLsa9h7hl5kEHVHViIKu9vtE3wxst5xyoTmhigWi3Qgg5ktgUftzgOGecn.NuPypIvaxtkxBvm0sONJTCQYNM7SZNIF48Jxoc1YKJ5wtssD3XYPOeO",
      "path": null,
      "fullname": "Microsoft.Windows.Computer:LlhmpKkOvfnZ2tR7VF1yIcgo02c1S7q9FPLsa9h7hl5kEHVHViIKu9vtE3wxst5xyoTmhigWi3Qgg5ktgUftzgOGecn.NuPypIvaxtkxBvm0sONJTCQYNM7SZNIF48Jxoc1YKJ5wtssD3XYPOeO",
      "id": "aeee35a8-c9bc-916d-a86a-ab4fd0e4f8e8"
    },
    {
      "displayname": "SCOMNFMPDEV0015.smx.net",
      "path": null,
      "fullname": "Microsoft.Windows.Computer:SCOMNFMPDEV0015.smx.net",
      "id": "9f2ef630-9784-9e27-bbd0-af9900d8264f"
    }
  ]
}

Definizioni

Nome Descrizione
TableColumn
TableDataResponse

TableColumn

Nome Tipo Descrizione
field

string

Nome della colonna

header

string

Intestazione della colonna

hidden

boolean

Colonna nascosta

type

string

Tipo della colonna

TableDataResponse

Nome Tipo Descrizione
rows

object[]

Righe di dati tabella

tableColumns

TableColumn[]

Colonne di tabella di dati